Bug 127941 - Update www/opera and www/opera-linuxplugins to Opera 9.60
Summary: Update www/opera and www/opera-linuxplugins to Opera 9.60
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-08 12:40 UTC by Arjan van Leeuwen
Modified: 2008-10-16 11:20 UTC (History)
0 users

See Also:


Attachments
opera.diff (10.22 KB, patch)
2008-10-08 12:40 UTC, Arjan van Leeuwen
no flags Details | Diff
vuxml.diff (1.95 KB, patch)
2008-10-08 12:40 UTC, Arjan van Leeuwen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arjan van Leeuwen 2008-10-08 12:40:00 UTC

These patches will:
- Update www/opera to 9.60
- Update www/opera-linuxplugins to 9.60 and unbreak it
- Update vuxml database with security entries

Changelog: http://www.opera.com/docs/changelogs/freebsd/960/
Security: http://www.opera.com/docs/changelogs/freebsd/960/#sec

Fix: diff -urN /usr/ports/www/opera-linuxplugins/Makefile opera-linuxplugins/Makefile
--- /usr/ports/www/opera-linuxplugins/Makefile	2008-08-05 09:21:03.000000000 +0200
+++ opera-linuxplugins/Makefile	2008-10-08 12:57:38.926299439 +0200
@@ -7,51 +7,47 @@
 
 PORTNAME=	opera
 PORTVERSION=	${OPERA_VER}.${OPERA_DATE}
-PORTREVISION=	2
 CATEGORIES=	www linux
-MASTER_SITES=	ftp://opera.inode.at/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/static/ \
-		http://gd.tuwien.ac.at/infosys/browsers/opera/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/static/ \
-		http://ftp.ucr.ac.cr/WWW/opera/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/static/ \
-		http://www.microrpm.ca/pub/opera/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/static/ \
-		http://www.opera.mirroarrr.de/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/static/ \
-		http://opera.eurenet.net/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/static/ \
-		ftp://opera.ftp.fu-berlin.de/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/static/ \
-		http://ftp.ntua.gr/pub/www/Opera/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/static/ \
-		ftp://ftp.wayne.edu/opera/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/static/ \
-		http://mirrors.dedipower.com/opera/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/static/ \
-		ftp://ftp.mirror.ac.uk/sites/ftp.opera.com/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/static/ \
-		http://opera.nedmirror.nl/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/static/ \
-		ftp://ftp.tiscali.nl/pub/mirrors/opera/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/static/ \
-		${MASTER_SITE_RINGSERVER:S,%SUBDIR%,net/www/opera/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/static/&,} \
-		ftp://ftp.opera.com/pub/opera/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/static/
+MASTER_SITES=	ftp://opera.inode.at/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/shared/ \
+		http://gd.tuwien.ac.at/infosys/browsers/opera/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/shared/ \
+		http://ftp.ucr.ac.cr/WWW/opera/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/shared/ \
+		http://www.microrpm.ca/pub/opera/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/shared/ \
+		http://www.opera.mirroarrr.de/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/shared/ \
+		http://opera.eurenet.net/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/shared/ \
+		ftp://opera.ftp.fu-berlin.de/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/shared/ \
+		http://ftp.ntua.gr/pub/www/Opera/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/shared/ \
+		ftp://ftp.wayne.edu/opera/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/shared/ \
+		http://mirrors.dedipower.com/opera/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/shared/ \
+		ftp://ftp.mirror.ac.uk/sites/ftp.opera.com/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/shared/ \
+		http://opera.nedmirror.nl/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/shared/ \
+		ftp://ftp.tiscali.nl/pub/mirrors/opera/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/shared/ \
+		${MASTER_SITE_RINGSERVER:S,%SUBDIR%,net/www/opera/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/shared/&,} \
+		ftp://ftp.opera.com/pub/opera/linux/${OPERA_VER:S/.//}${OPERA_MINVER}/${OPERA_REL}/en/i386/shared/
 PKGNAMESUFFIX=	-linuxplugins
-DISTNAME=	${PORTNAME}-${OPERA_VER}-${OPERA_DATE}.1-static-qt.i386-en
+DISTNAME=	${PORTNAME}-${OPERA_VER}.gcc3-shared-qt3.i386
 
 MAINTAINER=	freebsd-maintainer@opera.com
 COMMENT=	Linux plugin support for the native Opera browser
 
-RUN_DEPENDS=	${LOCALBASE}/share/opera/plugins/libnpp.so:${PORTSDIR}/www/opera
+RUN_DEPENDS=	${PREFIX}/share/opera/bin/operapluginwrapper:${PORTSDIR}/www/opera
 
-BROKEN=		does not build
-
-OPERA_VER=	9.21
+OPERA_VER=	9.60
 OPERA_MINVER=
 OPERA_REL=	final
-OPERA_DATE=	20070510
-OPERA_BUILD=	641
+OPERA_DATE=	20081004
+OPERA_BUILD=	2444
 
 USE_BZIP2=	yes
 USE_LINUX=	yes
 USE_XLIB=	yes
-ONLY_FOR_ARCHS=	i386
-WRKSRC=		${WRKDIR}/${DISTNAME}-${OPERA_BUILD}
+ONLY_FOR_ARCHS=	i386 amd64
+WRKSRC=		${WRKDIR}/${PORTNAME}-${OPERA_VER}-${OPERA_BUILD}.gcc3-shared-qt3.i386
 
 NO_BUILD=	yes
 
-PLIST_FILES=	share/opera/bin/operapluginwrapper share/opera/bin/libnpp.so
+PLIST_FILES=	share/opera/bin/operapluginwrapper.linux
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/plugins/operapluginwrapper ${PREFIX}/share/opera/bin
-	${CP} ${LOCALBASE}/share/opera/plugins/libnpp.so ${PREFIX}/share/opera/bin
+	${INSTALL_PROGRAM} ${WRKSRC}/usr/lib/opera/${OPERA_VER}/operapluginwrapper ${PREFIX}/share/opera/bin/operapluginwrapper.linux
 
 .include <bsd.port.mk>
diff -urN /usr/ports/www/opera-linuxplugins/distinfo opera-linuxplugins/distinfo
--- /usr/ports/www/opera-linuxplugins/distinfo	2007-05-30 08:24:43.000000000 +0200
+++ opera-linuxplugins/distinfo	2008-10-08 10:56:44.465548423 +0200
@@ -1,3 +1,3 @@
-MD5 (opera-9.21-20070510.1-static-qt.i386-en.tar.bz2) = 42e3039163f7bbfd49119860cfac60d0
-SHA256 (opera-9.21-20070510.1-static-qt.i386-en.tar.bz2) = fdf6766a0408d7030f7a930576fd70aff78e2b66fe2bbe8ca1af8da4bace95cd
-SIZE (opera-9.21-20070510.1-static-qt.i386-en.tar.bz2) = 6785626
+MD5 (opera-9.60.gcc3-shared-qt3.i386.tar.bz2) = 2020395b8422e881e77928b586519bf8
+SHA256 (opera-9.60.gcc3-shared-qt3.i386.tar.bz2) = c45586665b317bb1dcc590b891df371d602db2d044da55f2f623388a35bbd2b5
+SIZE (opera-9.60.gcc3-shared-qt3.i386.tar.bz2) = 7165845
--- opera-linuxplugins.diff ends here ---
Comment 1 Edwin Groothuis freebsd_committer 2008-10-08 12:40:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

itetcu@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2008-10-10 10:41:22 UTC
itetcu      2008-10-10 09:41:09 UTC

  FreeBSD ports repository

  Modified files:
    security/vuxml       vuln.xml 
  Log:
  Add two www/opera vulnarabilities which affect versions <9.60.20081004
  
  PR:             ports/127941
  Submitted by:   Arjan van Leeuwen (opera maintainer)
  
  Revision  Changes    Path
  1.1712    +39 -1     ports/security/vuxml/vuln.xml
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2008-10-10 10:45:06 UTC
itetcu      2008-10-10 09:44:54 UTC

  FreeBSD ports repository

  Modified files:
    www/opera-linuxplugins Makefile distinfo 
  Log:
  Update to 9.60 and unbreak it
  
  Changelog: http://www.opera.com/docs/changelogs/freebsd/960/
  Security: http://www.opera.com/docs/changelogs/freebsd/960/#sec
  
  PR:             ports/127941
  Submitted by:   Arjan van Leeuwen
  Security:       http://www.vuxml.org/freebsd/fb84d5dd-9528-11dd-9a00-001999392805.html
  
  Revision  Changes    Path
  1.7       +24 -28    ports/www/opera-linuxplugins/Makefile
  1.4       +3 -3      ports/www/opera-linuxplugins/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Ion-Mihai "IOnut" Tetcu freebsd_committer 2008-10-16 11:20:43 UTC
State Changed
From-To: open->closed

Committed a few days ago